com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface RuleStatementSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleStatementSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rule Statement Section'.

  The following features are supported:

  - `Row Count`
  - `Scroll Row Top`
  - `Column Width Reference`
  - `Column Width Post Severity`
  - `Column Width Alias`
  - `Column Width ID`
  - `Column Width Text`
  - `Column Width Rule Name`
  - `Column Width Rule Link`
  - `Column Width Source Name`
  - `Column Width Source Link`
  - `Column Width Category`
  - `Column Width Comments`
  - `Rule Statement Item List`
  See Also:
    `DecisiontablePackage.getRuleStatementSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnWidthAlias()` Returns the value of the 'Column Width Alias' attribute
    `int` | `getColumnWidthCategory()` Returns the value of the 'Column Width Category' attribute
    `int` | `getColumnWidthComments()` Returns the value of the 'Column Width Comments' attribute
    `int` | `getColumnWidthID()` Returns the value of the 'Column Width ID' attribute
    `int` | `getColumnWidthPostSeverity()` Returns the value of the 'Column Width Post Severity' attribute
    `int` | `getColumnWidthReference()` Returns the value of the 'Column Width Reference' attribute
    `int` | `getColumnWidthRuleLink()` Returns the value of the 'Column Width Rule Link' attribute
    `int` | `getColumnWidthRuleName()` Returns the value of the 'Column Width Rule Name' attribute
    `int` | `getColumnWidthSourceLink()` Returns the value of the 'Column Width Source Link' attribute
    `int` | `getColumnWidthSourceName()` Returns the value of the 'Column Width Source Name' attribute
    `int` | `getColumnWidthText()` Returns the value of the 'Column Width Text' attribute
    `int` | `getRowCount()` Returns the value of the 'Row Count' attribute
    `org.eclipse.emf.common.util.EList` | `getRuleStatementItemList()` Returns the value of the 'Rule Statement Item List' containment reference list.
    `int` | `getScrollRowTop()` Returns the value of the 'Scroll Row Top' attribute
    `void` | `setColumnWidthAlias(int value)` Sets the value of the '`Column Width Alias`' attribute
    `void` | `setColumnWidthCategory(int value)` Sets the value of the '`Column Width Category`' attribute
    `void` | `setColumnWidthComments(int value)` Sets the value of the '`Column Width Comments`' attribute
    `void` | `setColumnWidthID(int value)` Sets the value of the '`Column Width ID`' attribute
    `void` | `setColumnWidthPostSeverity(int value)` Sets the value of the '`Column Width Post Severity`' attribute
    `void` | `setColumnWidthReference(int value)` Sets the value of the '`Column Width Reference`' attribute
    `void` | `setColumnWidthRuleLink(int value)` Sets the value of the '`Column Width Rule Link`' attribute
    `void` | `setColumnWidthRuleName(int value)` Sets the value of the '`Column Width Rule Name`' attribute
    `void` | `setColumnWidthSourceLink(int value)` Sets the value of the '`Column Width Source Link`' attribute
    `void` | `setColumnWidthSourceName(int value)` Sets the value of the '`Column Width Source Name`' attribute
    `void` | `setColumnWidthText(int value)` Sets the value of the '`Column Width Text`' attribute
    `void` | `setRowCount(int value)` Sets the value of the '`Row Count`' attribute
    `void` | `setScrollRowTop(int value)` Sets the value of the '`Scroll Row Top`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRowCount

          int getRowCount()

      Returns the value of the 'Row Count' attribute.

      If the meaning of the 'Row Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Count' attribute.
      See Also:
        `setRowCount(int)`, `DecisiontablePackage.getRuleStatementSection_RowCount()`

    - #### setRowCount

          void setRowCount(int value)

      Sets the value of the '`Row Count`' attribute.
      Parameters:
        `value` - the new value of the 'Row Count' attribute.
      See Also:
        `getRowCount()`

    - #### getScrollRowTop

          int getScrollRowTop()

      Returns the value of the 'Scroll Row Top' attribute.

      If the meaning of the 'Scroll Row Top' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scroll Row Top' attribute.
      See Also:
        `setScrollRowTop(int)`, `DecisiontablePackage.getRuleStatementSection_ScrollRowTop()`

    - #### setScrollRowTop

          void setScrollRowTop(int value)

      Sets the value of the '`Scroll Row Top`' attribute.
      Parameters:
        `value` - the new value of the 'Scroll Row Top' attribute.
      See Also:
        `getScrollRowTop()`

    - #### getColumnWidthReference

          int getColumnWidthReference()

      Returns the value of the 'Column Width Reference' attribute.

      If the meaning of the 'Column Width Reference' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Reference' attribute.
      See Also:
        `setColumnWidthReference(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthReference()`

    - #### setColumnWidthReference

          void setColumnWidthReference(int value)

      Sets the value of the '`Column Width Reference`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Reference' attribute.
      See Also:
        `getColumnWidthReference()`

    - #### getColumnWidthPostSeverity

          int getColumnWidthPostSeverity()

      Returns the value of the 'Column Width Post Severity' attribute.

      If the meaning of the 'Column Width Post Severity' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Post Severity' attribute.
      See Also:
        `setColumnWidthPostSeverity(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthPostSeverity()`

    - #### setColumnWidthPostSeverity

          void setColumnWidthPostSeverity(int value)

      Sets the value of the '`Column Width Post Severity`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Post Severity' attribute.
      See Also:
        `getColumnWidthPostSeverity()`

    - #### getColumnWidthAlias

          int getColumnWidthAlias()

      Returns the value of the 'Column Width Alias' attribute.

      If the meaning of the 'Column Width Alias' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Alias' attribute.
      See Also:
        `setColumnWidthAlias(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthAlias()`

    - #### setColumnWidthAlias

          void setColumnWidthAlias(int value)

      Sets the value of the '`Column Width Alias`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Alias' attribute.
      See Also:
        `getColumnWidthAlias()`

    - #### getColumnWidthID

          int getColumnWidthID()

      Returns the value of the 'Column Width ID' attribute.

      If the meaning of the 'Column Width ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width ID' attribute.
      See Also:
        `setColumnWidthID(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthID()`

    - #### setColumnWidthID

          void setColumnWidthID(int value)

      Sets the value of the '`Column Width ID`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width ID' attribute.
      See Also:
        `getColumnWidthID()`

    - #### getColumnWidthText

          int getColumnWidthText()

      Returns the value of the 'Column Width Text' attribute.

      If the meaning of the 'Column Width Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Text' attribute.
      See Also:
        `setColumnWidthText(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthText()`

    - #### setColumnWidthText

          void setColumnWidthText(int value)

      Sets the value of the '`Column Width Text`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Text' attribute.
      See Also:
        `getColumnWidthText()`

    - #### getColumnWidthRuleName

          int getColumnWidthRuleName()

      Returns the value of the 'Column Width Rule Name' attribute.

      If the meaning of the 'Column Width Rule Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Rule Name' attribute.
      See Also:
        `setColumnWidthRuleName(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthRuleName()`

    - #### setColumnWidthRuleName

          void setColumnWidthRuleName(int value)

      Sets the value of the '`Column Width Rule Name`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Rule Name' attribute.
      See Also:
        `getColumnWidthRuleName()`

    - #### getColumnWidthRuleLink

          int getColumnWidthRuleLink()

      Returns the value of the 'Column Width Rule Link' attribute.

      If the meaning of the 'Column Width Rule Link' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Rule Link' attribute.
      See Also:
        `setColumnWidthRuleLink(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthRuleLink()`

    - #### setColumnWidthRuleLink

          void setColumnWidthRuleLink(int value)

      Sets the value of the '`Column Width Rule Link`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Rule Link' attribute.
      See Also:
        `getColumnWidthRuleLink()`

    - #### getColumnWidthSourceName

          int getColumnWidthSourceName()

      Returns the value of the 'Column Width Source Name' attribute.

      If the meaning of the 'Column Width Source Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Source Name' attribute.
      See Also:
        `setColumnWidthSourceName(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthSourceName()`

    - #### setColumnWidthSourceName

          void setColumnWidthSourceName(int value)

      Sets the value of the '`Column Width Source Name`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Source Name' attribute.
      See Also:
        `getColumnWidthSourceName()`

    - #### getColumnWidthSourceLink

          int getColumnWidthSourceLink()

      Returns the value of the 'Column Width Source Link' attribute.

      If the meaning of the 'Column Width Source Link' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Source Link' attribute.
      See Also:
        `setColumnWidthSourceLink(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthSourceLink()`

    - #### setColumnWidthSourceLink

          void setColumnWidthSourceLink(int value)

      Sets the value of the '`Column Width Source Link`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Source Link' attribute.
      See Also:
        `getColumnWidthSourceLink()`

    - #### getColumnWidthCategory

          int getColumnWidthCategory()

      Returns the value of the 'Column Width Category' attribute.

      If the meaning of the 'Column Width Category' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Category' attribute.
      See Also:
        `setColumnWidthCategory(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthCategory()`

    - #### setColumnWidthCategory

          void setColumnWidthCategory(int value)

      Sets the value of the '`Column Width Category`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Category' attribute.
      See Also:
        `getColumnWidthCategory()`

    - #### getColumnWidthComments

          int getColumnWidthComments()

      Returns the value of the 'Column Width Comments' attribute.

      If the meaning of the 'Column Width Comments' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Comments' attribute.
      See Also:
        `setColumnWidthComments(int)`, `DecisiontablePackage.getRuleStatementSection_ColumnWidthComments()`

    - #### setColumnWidthComments

          void setColumnWidthComments(int value)

      Sets the value of the '`Column Width Comments`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Comments' attribute.
      See Also:
        `getColumnWidthComments()`

    - #### getRuleStatementItemList

          org.eclipse.emf.common.util.EList getRuleStatementItemList()

      Returns the value of the 'Rule Statement Item List' containment reference list. The list contents are of type `RuleStatementItem`.

      If the meaning of the 'Rule Statement Item List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Statement Item List' containment reference list.
      See Also:
        `DecisiontablePackage.getRuleStatementSection_RuleStatementItemList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.